summaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
authorMarkus Heiser <markus.heiser@darmarit.de>2025-03-01 10:49:11 +0100
committerMarkus Heiser <markus.heiser@darmarIT.de>2025-03-01 12:21:29 +0100
commit1d16b94279b252bb2e298a2afffb9561d8b5bd85 (patch)
tree4e4ba3db9dc6c879249be0629345b2969d18d511 /utils
parent30a820437da40cba2b1ca386564c8fc1ee6f92d1 (diff)
[fix] wikidata: increase wikidata queries timeout
The big queries for initializing and updating the currencies take longer than the default of the wikidata engine, which is only 3sec. Signed-off-by: Markus Heiser <markus.heiser@darmarit.de>
Diffstat (limited to 'utils')
-rwxr-xr-xutils/lib_sxng_data.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/utils/lib_sxng_data.sh b/utils/lib_sxng_data.sh
index ab1204de6..d24668146 100755
--- a/utils/lib_sxng_data.sh
+++ b/utils/lib_sxng_data.sh
@@ -8,6 +8,7 @@ data.:
traits : update searx/data/engine_traits.json & searx/sxng_locales.py
useragents: update searx/data/useragents.json with the most recent versions of Firefox
locales : update searx/data/locales.json from babel
+ currencies: update searx/data/currencies.json from wikidata
EOF
}
@@ -59,3 +60,12 @@ data.locales() {
)
dump_return $?
}
+
+data.currencies(){
+ ( set -e
+ pyenv.activate
+ build_msg DATA "update searx/data/currencies.json"
+ python searxng_extra/update/update_currencies.py
+ )
+ dump_return $?
+}